Package kiyut.sketsa.canvas

## Class CanvasTransferable

- java.lang.Object
- - kiyut.sketsa.canvas.CanvasTransferable

- All Implemented Interfaces:
    `Transferable`

      public class CanvasTransferable
      extends Object
      implements Transferable

  CanvasTransferable DnD support
  Author:
    KIYUT

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DataFlavor` | `CANVAS_DATA_FLAVOR` |
    `protected DataFlavor[]` | `supportedFlavors` |
    `protected Object` | `transferData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CanvasTransferable​(Object transferData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getTransferData​(DataFlavor flavor)` |
    `DataFlavor[]` | `getTransferDataFlavors()` |
    `boolean` | `isDataFlavorSupported​(DataFlavor flavor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CANVAS_DATA_FLAVOR

          public static final DataFlavor CANVAS_DATA_FLAVOR

    - #### supportedFlavors

          protected DataFlavor[] supportedFlavors

    - #### transferData

          protected Object transferData

  - ### Constructor Detail

    - #### CanvasTransferable

          public CanvasTransferable​(Object transferData)

  - ### Method Detail

    - #### getTransferData

          public Object getTransferData​(DataFlavor flavor)
                                 throws UnsupportedFlavorException,
                                        IOException

      Specified by:
        `getTransferData` in interface `Transferable`
      Throws:
        `UnsupportedFlavorException`
        `IOException`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported​(DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `Transferable`